%{expand:%%define TeXdir %(kpsewhich -expand-var '$TEXMFMAIN')}

Name:          linuxdoc-tools
Version:       0.9.85
Release:       1mamba
Summary:       A toolset for processing LinuxDoc DTD SGML files
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://packages.qa.debian.org/l/linuxdoc-tools.html
Source:        http://ftp.de.debian.org/debian/pool/main/l/%{name}/%{name}_%{version}.orig.tar.gz
Patch1:        linuxdoc-tools-0.9.56-yyleng.patch
License:       GPL
Requires:      groff, texinfo, openjade >= 1.3.2
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfl-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: groff
BuildRequires: openjade
BuildRequires: tetex-latex
BuildRequires: texinfo
BuildRequires: flex
BuildRequires: OpenSP
Requires:      sgml-common

%description
Linuxdoc-tools is a toolset for processing LinuxDoc DTD SGML files.
This package allows you to produce HTML, GNU info, LyX, RTF, plain text (via groff), and other format outputs from a single SGML source.

%package latex
Summary:       A toolset for processing LinuxDoc DTD SGML files and produce LaTeX documents
Group:         Applications/Publishing
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      tetex-latex

%description latex
Linuxdoc-tools is a toolset for processing LinuxDoc DTD SGML files.
This package allows you to produce LaTeX documents from a single SGML source.

%debug_package

%prep
%setup -q
#%patch1 -p1
sed -i '/extern int yyleng;/d' rtf-fix/rtf2rtf.l

%build
#need to get config.{sub,guess} in, something is broken in the build
autoreconf -i
%configure \
   --with-installed-nsgmls \
   --with-installed-iso-entities \
   --with-perllibdir=%{perl_sitelib} \
   --with-texdir=%{TeXdir}/tex/latex/misc \
   --disable-docs

# Packaging brain-damage
pushd entity-map
autoconf
%configure --enable-docs pdf
popd
 
%make OPTIMIZE="%{optflags}"

# use sgml entities from sgml-common
perl -pi -e 's,\$main::prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat,/usr/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
      perl5lib/LinuxDocTools.pm

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

# use sgml entities from sgml-common
perl -pi -e 's,/usr/share/sgml/iso-entities-8879.1986/iso-entities.cat,\$main::prefix/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
      %{buildroot}%{perl_sitelib}/LinuxDocTools.pm%

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post latex
[ -x %{_bindir}/texhash ] &&
   /bin/env - PATH=/bin:/usr/bin texhash > /dev/null 2>&1
exit 0

%postun latex
[ -x %{_bindir}/texhash ] &&
   /bin/env - PATH=/bin:/usr/bin texhash > /dev/null 2>&1
exit 0

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_datadir}/sgml/*
%dir %{_datadir}/linuxdoc-tools
%{_datadir}/linuxdoc-tools/*
%{_datadir}/entity-map/*
%{perl_sitelib}/Text/EntityMap.pm
%{perl_sitelib}/LinuxDocTools.pm
%dir %{perl_sitelib}/LinuxDocTools
%{perl_sitelib}/LinuxDocTools/*.pm
%dir %{perl_sitelib}/LinuxDocTools/Data
%{perl_sitelib}/LinuxDocTools/Data/*.pm
#%dir %{_defaultdocdir}/%{name}-%{version}
#%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*
%doc COPYING

%files latex
%defattr(-,root,root)
%{TeXdir}/tex/latex/misc/*.sty

%changelog
* Wed Sep 25 2024 Automatic Build System <autodist@openmamba.org> 0.9.85-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 0.9.84-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 0.9.83-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.82-1mamba
- update to 0.9.82

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.68-1mamba
- automatic version update by autodist

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.56-1mamba
- update to 0.9.56

* Thu Oct 23 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.9.21-5mamba
- rebuild
- added some missing buildrequirements

* Wed May 18 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.21-4qilnx
- fixed TeX code that assumes pdfTeX is always running in PDF generation
  mode (pdfTeX is the default TeTeX 3.0 engine for LaTeX)
- new URL and Source

* Tue May 17 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.21-3qilnx
- Latex style files moved to proper directory

* Fri Feb 25 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.21-2qilnx
- fix for specfile group entry

* Wed Nov 19 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.21-1qilnx
- first build
